SDL_GPUVertexInputState Struct Reference

`#include <SDL_gpu.h>`

Collaboration diagram for SDL_GPUVertexInputState:
[legend]

## Data Fields

const SDL_GPUVertexBufferDescription * | vertex_buffer_descriptions
Uint32 | num_vertex_buffers
const SDL_GPUVertexAttribute * | vertex_attributes
Uint32 | num_vertex_attributes

## Detailed Description

A structure specifying the parameters of a graphics pipeline vertex input state.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GPUGraphicsPipelineCreateInfo
  SDL_GPUVertexBufferDescription
  SDL_GPUVertexAttribute

Definition at line 1682 of file SDL_gpu.h.

## Field Documentation

## num_vertex_attributes

Uint32 SDL_GPUVertexInputState::num_vertex_attributes

The number of vertex attribute descriptions in the above array.

Definition at line 1687 of file SDL_gpu.h.

## num_vertex_buffers

Uint32 SDL_GPUVertexInputState::num_vertex_buffers

The number of vertex buffer descriptions in the above array.

Definition at line 1685 of file SDL_gpu.h.

## vertex_attributes

const SDL_GPUVertexAttribute* SDL_GPUVertexInputState::vertex_attributes

A pointer to an array of vertex attribute descriptions.

Definition at line 1686 of file SDL_gpu.h.

## vertex_buffer_descriptions

const SDL_GPUVertexBufferDescription* SDL_GPUVertexInputState::vertex_buffer_descriptions

A pointer to an array of vertex buffer descriptions.

Definition at line 1684 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h